# esp32_BNO08x: BNO08x.hpp File Reference

Loading...
Searching...
No Matches
BNO08x.hpp File Reference
`#include <driver/gpio.h>`
`#include <driver/spi_common.h>`
`#include <driver/spi_master.h>`
`#include <esp_log.h>`
`#include <esp_rom_gpio.h>`
`#include <esp_timer.h>`
`#include <freertos/FreeRTOS.h>`
`#include <freertos/task.h>`
`#include <freertos/event_groups.h>`
`#include <freertos/queue.h>`
`#include <rom/ets_sys.h>`
`#include <inttypes.h>`
`#include <math.h>`
`#include <stdio.h>`
`#include <cstring>`
`#include <functional>`
`#include <vector>`
Include dependency graph for BNO08x.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | bno08x_config_t
| IMU configuration settings passed into constructor. More...
class | BNO08x
struct | BNO08x::bno08x_rx_packet_t
| Holds data that is received over spi. More...
struct | BNO08x::bno08x_tx_packet_t
| Holds data that is sent over spi. More...

## Typedefs

typedef struct bno08x_config_t | bno08x_config_t
| IMU configuration settings passed into constructor.

## Enumerations

enum | channels_t { CHANNEL_COMMAND , CHANNEL_EXECUTABLE , CHANNEL_CONTROL , CHANNEL_REPORTS , CHANNEL_WAKE_REPORTS , CHANNEL_GYRO }
| SHTP protocol channels. More...
enum class | IMUAccuracy { LOW = 1 , MED , HIGH }
| Sensor accuracy returned during sensor calibration. More...

## Typedef Documentation

## bno08x_config_t

typedef struct bno08x_config_t bno08x_config_t

IMU configuration settings passed into constructor.

## Enumeration Type Documentation

## channels_t

enum channels_t

SHTP protocol channels.

Enumerator
CHANNEL_COMMAND |
CHANNEL_EXECUTABLE |
CHANNEL_CONTROL |
CHANNEL_REPORTS |
CHANNEL_WAKE_REPORTS |
CHANNEL_GYRO |

## IMUAccuracy

enum class IMUAccuracy

strong

Sensor accuracy returned during sensor calibration.

Enumerator
LOW |
MED |
HIGH |